Bug 1277621 - Copy bug feature
Copy bug feature
Status: NEW
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified with 1 vote (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-03 11:36 EST by Rich Megginson
Modified: 2017-04-07 11:20 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rich Megginson 2015-11-03 11:36:23 EST
Description of problem:
See https://lists.fedoraproject.org/pipermail/devel/2015-November/216400.html

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:

There should be a "lightweight" clone button that will just copy the absolute minimum of information from the upstream bug into the downstream bug.


Additional info:
Comment 1 Rich Megginson 2015-11-03 11:42:00 EST
A better solution would be to make the default "Clone This Bug" button lightweight, and have a new button "Clone Everything" that would clone in the same manner as the current "Clone This Bug" button.

I expect more people will chime in here to describe exactly what does and does not need to happen when we clone an upstream bug to downstream.
Comment 2 Jeff Fearn 2016-01-27 06:31:49 EST
Hi Rich, changing the current behaviour would require us getting the stake holders to agree.

Adding a "clone lite" would require an if condition, a menu entry, some tweaking, and a list of things that have to be cloned.

i.e. "the absolute minimum of information" actually needs to be specified.

Given no one else has spoken up, maybe you just want to specify what you would like. :)
Comment 3 Rich Megginson 2016-01-27 12:06:27 EST
Well, I was hoping people who are troubled by cloning would chime in here and provide more information, but they didn't.  So if you want to leave this bug open in the hopes that someone will provide a decent feature request, that's fine, and if you want to close this as WONTFIX, that's fine too.
Comment 4 Adam Williamson 2016-01-27 12:29:51 EST
Hard for people to 'chime in' if they don't know about the bug...

The biggest issues when cloning for me are:

1) that the entire chain of comments on the original is dumped into the new bug as its 'Description'
2) that everyone CCed on the original is CCed on the clone
3) that the Blocks:, Keywords: and Whiteboard: fields are copied, as this means RHEL bugs wind up being Fedora release blockers or listed for entry on the Fedora common bugs page, etc (all the stuff we track with those BZ metadata fields)

It's a bit tricky to say "this is what must be" because there are various use cases for cloning, I guess. But the very common case for RHBZ is 'cloning' a bug from Fedora to Red Hat. It might be nice to have a cloning workflow for this case which at least doesn't do 2) or 3).

1) is more of a general thing; I guess in my ideal world the user would be asked whether they want to clone just the original Description or all the comments too.
Comment 5 Jeff Fearn 2016-09-28 08:06:46 EDT
"Copy bug" shall:

1: copy the original comment #0
2: add a link to the original bug (external tracker?)
3: there is no 3, just visit the other bug if you want to read more, or use clone if you want a lot of things copied.
Comment 6 Kevin Fenzi 2017-03-16 12:13:40 EDT
I agree with Jeff and Adam. :) 

Additionally, IMHO, it would be nice if either 'copy bug' or 'clone bug' required a additional comment to be added, and had a template in it with something like: 

"I am copying/cloning this bug because: " or the like.

Note You need to log in before you can comment on or make changes to this bug.